using FluentValidation;
using Hotline.Share.Dtos.Order;

namespace DataSharing.Validators.XieTong
{
    public class CaseResultReceiveValidator : AbstractValidator<PublishPublishOrderDto>
    {
        public CaseResultReceiveValidator()
        {
            RuleFor(d => d.Order.ProvinceNo).NotEmpty();
            RuleFor(d => d.Order.AreaCode).NotEmpty();
            RuleFor(d => d.Order.ActualHandleOrgName).NotEmpty();
            RuleFor(d => d.Order.ActualHandleTime).NotEmpty();
            RuleFor(d => d.Order.ActualHandlerName).NotEmpty();
            RuleFor(d => d.Order.ActualOpinion).NotEmpty();
            RuleFor(d => d.Order.ActualHandleStepCreateTime).NotEmpty();
            //RuleFor(d => d.Order.ActualHandleOrgAreaCode).NotEmpty();
            //RuleFor(d => d.Order.ActualHandleOrgAreaName).NotEmpty();
            RuleFor(d => d.Order.ActualHandleStepAcceptTime).NotEmpty();
            RuleFor(d => d.Order.HandleDurationWorkday).NotEmpty();
            RuleFor(d => d.Order.RealCommunicationMode).NotEmpty();
        }
    }
}
